## org.apache.lucene.replicator
Interface ReplicationClient.ReplicationHandler

All Known Implementing Classes:
  IndexAndTaxonomyReplicationHandler, IndexReplicationHandler

Enclosing class:
  ReplicationClient

    public static interface ReplicationClient.ReplicationHandler

Handler for revisions obtained by the client.

Method Summary
`Map<String,List<RevisionFile>>` `currentRevisionFiles()` Returns the current revision files held by the handler.
`String` `currentVersion()` Returns the current revision version held by the handler.
`void` `revisionReady(String version, Map<String,List<RevisionFile>> revisionFiles, Map<String,List<String>> copiedFiles, Map<String,Directory> sourceDirectory)` Called when a new revision was obtained and is available (i.e.

Method Detail

### currentRevisionFiles

    Map<String,List<RevisionFile>> currentRevisionFiles()

  Returns the current revision files held by the handler.

### currentVersion

    String currentVersion()

  Returns the current revision version held by the handler.

### revisionReady

    void revisionReady(String version,
                       Map<String,List<RevisionFile>> revisionFiles,
                       Map<String,List<String>> copiedFiles,
                       Map<String,Directory> sourceDirectory)
                       throws IOException

  Called when a new revision was obtained and is available (i.e. all needed files were successfully copied).

  Parameters:
    `version` - the version of the `Revision` that was copied
    `revisionFiles` - the files contained by this `Revision`
    `copiedFiles` - the files that were actually copied
    `sourceDirectory` - a mapping from a source of files to the `Directory` they were copied into
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.